Get usage history
curl --request GET \
--url https://geniusforms.ai/api/v1/usage/history \
--header 'X-API-Key: <api-key>'import requests
url = "https://geniusforms.ai/api/v1/usage/history"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://geniusforms.ai/api/v1/usage/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"history": [
{
"id": 42,
"endpoint": "forms.generate",
"creditsConsumed": 5,
"formId": 208,
"formName": "Customer Survey",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"total": 1,
"hasMore": false,
"limit": 50,
"offset": 0
}Usage & Credits
Get usage history
Returns a paginated log of credit consumption with endpoint names and form details.
GET
/
usage
/
history
Get usage history
curl --request GET \
--url https://geniusforms.ai/api/v1/usage/history \
--header 'X-API-Key: <api-key>'import requests
url = "https://geniusforms.ai/api/v1/usage/history"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://geniusforms.ai/api/v1/usage/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"history": [
{
"id": 42,
"endpoint": "forms.generate",
"creditsConsumed": 5,
"formId": 208,
"formName": "Customer Survey",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"total": 1,
"hasMore": false,
"limit": 50,
"offset": 0
}Authorizations
API key obtained from your GeniusForms dashboard
Query Parameters
Number of results per page (1-100)
Required range:
1 <= x <= 100Number of results to skip
Required range:
x >= 0